import { SWRResponse } from 'swr';
import { RoleType, User as UserTyped } from '@/lib/types/models';
import Parse from './parse';
interface Params {
    redirectTo?: string;
    redirectIfFound?: boolean;
}
/**
 * user hook
 */
declare const useUser: (props?: Params) => SWRResponse<any, any>;
/**
 * @deprecated
 */
export declare const useCurrentUser: () => SWRResponse<Parse.User<Parse.Attributes>, any>;
export declare const useRole: (workspaceKey?: string) => RoleType;
export declare const useUsers: <T = UserTyped>() => [list: T[], loading: boolean];
export declare const getRoleOptionsByName: (name: string | RegExp) => Promise<Record<'label' | 'value', string>[]>;
export declare const getRolesOptionsByValues: (values: string[]) => Promise<Record<'label' | 'value', string>[]>;
export declare const useGroups: () => [list: {
    objectId: string;
    name: string;
}[], loading: boolean];
export declare const getUserCustomFieldOptionsByName: (name: string | RegExp, type?: string | string[]) => Promise<Record<'label' | 'value', string>[]>;
export declare const getUserCustomFieldOptionsByValues: (values: string[], type?: string | string[]) => Promise<Record<'label' | 'value', string>[]>;
export default useUser;
declare type TreeItem = {
    id: string;
    children: TreeItem[];
    title: string;
};
export declare const getRolesTree: (keys?: string[]) => Promise<[TreeItem[]]>;
export declare const getRolesData: ({ treeDefaultExpandedKeys, keyword, count, }: {
    treeDefaultExpandedKeys?: string[];
    keyword?: string;
    count?: number;
}) => Promise<[TreeItem[], string[]]>;
export declare const getWorkspaceUsers: (workspaceId: string, pageData: {
    pageIndex: number;
    pageSize: number;
    keyWord: string;
}) => Promise<[Parse.Role, Parse.User[], number]>;
export declare const getRoles: (keyword?: string) => Promise<{
    objectId: string;
    name: string;
}[]>;
/** 用户被删除 */
export declare const isUserDeleted: (user: UserTyped) => boolean;
/** 用户被禁用 */
export declare const isUserDisabled: (user: UserTyped) => boolean;
export declare const generateUserDisplayName: (user: UserTyped, onlyNickname?: boolean) => string;
//# sourceMappingURL=useUser.d.ts.map